<?php
/**
 * Template part for displaying default posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Kava
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('posts-list__item default-item'); ?>>

	<header class="entry-header">
		<?php the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' ); ?>
		<div class="entry-meta">
			<?php
				kava_posted_by();
				kava_posted_in( array(
					'prefix' => __( 'In', 'kava' ),
				) );
				kava_posted_on( array(
					'prefix' => __( 'Posted', 'kava' )
				) );
			?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->
	
	<?php kava_post_thumbnail( 'kava-thumb-l' ); ?>

	<?php kava_post_excerpt(); ?>

	<footer class="entry-footer">
		<div class="entry-meta">
			<?php
				kava_post_tags( array(
					'prefix' => __( 'Tags:', 'kava' )
				) );
			?>
			<div><?php
				kava_post_comments( array(
					'prefix' => '<i class="nc-icon-mini ui-2_chat-round"></i>',
					'class'  => 'comments-button'
				) );
				kava_post_link();
			?></div>
		</div>
		<?php kava_edit_link(); ?>
	</footer><!-- .entry-footer -->

</article><!-- #post-<?php the_ID(); ?> -->
