<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Kava
 */

$has_post_thumbnail = has_post_thumbnail();

?>

<div class="single-header-7 <?php echo $has_post_thumbnail ? 'invert' : '' ?>">
	<?php if ( $has_post_thumbnail ) : ?>
		<div class="overlay-thumbnail" <?php kava_post_overlay_thumbnail( 'kava-thumb-xl' ); ?>></div>
	<?php endif; ?>
	<div class="container">
		<div class="row">
			<div class="col-xs-12 col-lg-8 col-lg-push-2">
				<div class="entry-header-top"><?php
					kava_posted_in( array(
						'delimiter' => '',
						'before'    => '<div class="cat-links btn-style">',
						'after'     => '</div>'
					) );
					kava_posted_on( array(
						'prefix'  => '<i class="nc-icon-mini ui-2_time-clock"></i> ' . __( 'Posted', 'kava' ),
						'before'  => '<div class="posted-on">',
						'after'   => '</div>',
					) );
				?></div>
				<header class="entry-header">
					<?php get_template_part( 'template-parts/post/single/author-bio' ); ?>
					<?php the_title( '<h3 class="entry-title">', '</h3>' ); ?>
				</header><!-- .entry-header -->
				<div class="entry-header-bottom">
					<div class="entry-meta"><?php
						kava_post_tags ( array(
							'prefix'    => '<i class="nc-icon-mini shopping_tag-content"></i>',
						) );
						kava_post_comments( array(
							'prefix'    => '<i class="nc-icon-mini ui-2_chat-round-content"></i>',
							'postfix' => __( 'Comment(s)', 'kava' )
						) );
					?></div><!-- .entry-meta -->
				</div>
			</div>
		</div>
	</div>
</div>